Page MenuHomePhabricator

The future of Language Converter (or, why do [[Red]] and [[Orange]] spell colo(u)r differently?)
Closed, ResolvedPublic

Description

Let's talk about Language Converter, Content Translation Tools, and wikis split by language variants.

Should zhwiki split for mainland China and Taiwan?

Should we be using LanguageConverter on enwiki to handle British/Australian/Indian/American spelling differences?

Should we be using Content Translation Tools for Catalan and Spanish?

Perhaps Swiss German and "High" German should be different wikis? Or use LanguageConverter? Or use Content Translation tools?

How do we best edit content which has slight localized differences?

Let's discuss!

Etherpad: http://etherpad.wikimedia.org/p/future-of-language-converter
Slides: https://docs.google.com/presentation/d/1ykT3m4UGQruHDKweIAte-q12MP8NRc4cU1GVRoYNnKk/edit
Also: https://meta.wikimedia.org/wiki/Wikipedias_in_multiple_writing_systems

Event Timeline

cscott created this task.Jan 27 2015, 5:14 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 5:14 PM
Nemo_bis added a subscriber: Nemo_bis.EditedJan 27 2015, 8:35 PM

Should zhwiki split for mainland China and Taiwan?
Perhaps Swiss German and "High" German should be different wikis?

Those are decisions made with a very clear process via the LangCom, it's useless to discuss them out of process.

cscott added a comment.EditedJan 27 2015, 8:49 PM

I don't agree that it is useless to discuss them from a technical perspective, since such decisions by the community have technical implications.

And to be clear -- these were questions to prompt discussion, not attempts to make proposals that would be binding or enforced or anything like that. I don't have that kind of power!

So, when we ask, "Should swiss german be a different wiki" what we are really asking is for us to consider the technical (and social, and political) considerations that went into the current state of affairs. Part of this reasoning involved the difficulty of maintaining forks, the ease of use issues with respect to language converter, etc. We can then have a discussion about whether or not maintaining forks ought to be easier, whether we should work harder to improve the user experience of language converter, etc. If we decide to do this work and make accomplishments, perhaps the community would make different decisions. Or perhaps they won't! They may be too invested in the current state of affairs. If so, perhaps it's not worth doing the work in the first place. Or perhaps it should be done because it will help other, less established communities, etc. I think it is worth discussing these issues, to decide what technical things are worth our attention.

At any rate, the point is to start a discussion and think hard about the underlying issues. The result of the discussion is certainly not going to result in a proposal to LangCom at this stage! But it may result in people thinking differently about what our software could/should be able to do.

Krenair added a subscriber: Krenair.Feb 3 2015, 2:35 AM
Spage updated the task description. (Show Details)Feb 11 2015, 5:02 AM
Spage set Security to None.

Thanks for presenting your session, I updated the task description with links (it seems no one took notes in the Etherpad). Can you add a comment with

  • approximate number of participants
  • any Phabricator tasks resulting from your session
  • any other achievements
Nemo_bis removed a subscriber: Nemo_bis.Feb 11 2015, 8:38 AM
Qgil closed this task as Resolved.Apr 30 2015, 10:38 AM
Qgil claimed this task.
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptFeb 20 2017, 12:57 AM